### Method

# GUPnPAV DIDLLiteObject apply_fragments

#### Declaration [src]

    GUPnPDIDLLiteFragmentResult
    gupnp_didl_lite_object_apply_fragments (
      GUPnPDIDLLiteObject* object,
      gchar** current_fragments,
      gint current_size,
      gchar** new_fragments,
      gint new_size
    )

#### Description [src]

Updates object by applying `new_fragments` in places of `current_fragments`. For `current_size` and `new_size` -1 can be passed when respectively `current_fragments` and `new_fragments` are NULL terminated.

#### Parameters

`current_fragments`

  Type: An array of `gchar*`

  XML fragments of `object`.

  The length of the array is specified in the `current_size` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`current_size`

  Type: `gint`

  Size of `current_fragments` or -1.

`new_fragments`

  Type: An array of `gchar*`

  Substitutes for `current_fragments`.

  The length of the array is specified in the `new_size` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`new_size`

  Type: `gint`

  Size of `new_fragments` or -1.

#### Return value

Type: `GUPnPDIDLLiteFragmentResult`

Result of operation.